from django.core.management.base import BaseCommand

from arkindex.process.models import WorkerRun


class Command(BaseCommand):
    help = "Update the has_results attribute on worker runs"

    def handle(self, *args, **options):
        self.stdout.write("Updating worker runs cache…")
        WorkerRun.objects.all().set_has_results()
        self.stdout.write("Worker runs cache successfully updated.")
